CISA warned that threat actors are “actively exploiting” ProxyShell vulnerabilities and “strongly urges organizations to identify vulnerable systems on their networks and immediately apply Microsoft’s Security Update from May 2021.”

The following are the three ProxyShell vulnerabilities being targeted and should be updated immediately:

Learn how BlueOrange Compliance can help you protect your organization and the people you serve by calling 855.500.6272, or request a free consult.

Request A Consult